﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.XamarinForms.Input;
using Xamarin.Forms;

namespace AppXF
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            this.BindingContext = new TestViewModel();
        }

        private void Calendar_DisplayDateChanged(object sender, Telerik.XamarinForms.Common.ValueChangedEventArgs<object> e)
        {
            //var oldWeek = CultureInfo.CurrentCulture.Calendar.GetWeekOfYear((DateTime)e.PreviousValue, CalendarWeekRule.FirstDay, DayOfWeek.Sunday);
            //var newWeek = CultureInfo.CurrentCulture.Calendar.GetWeekOfYear((DateTime)e.NewValue, CalendarWeekRule.FirstDay, DayOfWeek.Sunday);

            //if (oldWeek != newWeek)
            //{
            //    var viewModel = this.BindingContext as TestViewModel;
            //}
        }

        private void Calendar_SelectionChanged(object sender, Telerik.XamarinForms.Common.ValueChangedEventArgs<object> e)
        {
            var viewModel = this.BindingContext as TestViewModel;
            var date = e.NewValue as DateTime?;

            if (date.HasValue)
            {
                viewModel.Events.Add(
                    new TestEvent(
                                DateTime.Parse($"{date.Value.ToString("yyyy-MM-dd")} 10:00:00"),
                                DateTime.Parse($"{date.Value.ToString("yyyy-MM-dd")} 12:00:00"),
                                "Event",
                                Color.Red,
                                Color.Blue
                        ));
            }
        }
    }
}
